diff --git a/docs/en_US/database_dialog.rst b/docs/en_US/database_dialog.rst
index f90075f2a..36939a154 100644
--- a/docs/en_US/database_dialog.rst
+++ b/docs/en_US/database_dialog.rst
@@ -61,8 +61,7 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click add to set additional privileges; to discard a privilege, click the trash
 icon to the left of the row and confirm deletion in the *Delete Row* popup.
@@ -121,4 +120,3 @@ allows unlimited connections, and is available to all authenticated users.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
diff --git a/docs/en_US/foreign_data_wrapper_dialog.rst b/docs/en_US/foreign_data_wrapper_dialog.rst
index fddef5807..6556228cc 100644
--- a/docs/en_US/foreign_data_wrapper_dialog.rst
+++ b/docs/en_US/foreign_data_wrapper_dialog.rst
@@ -75,9 +75,7 @@ to assign a set of privileges.
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privileges to the specified user.
-* Select the name of the role granting the privileges from the drop-down listbox
-  in the *Grantor* field. The default grantor is the owner of the foreign data
-  wrapper.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click add to assign additional privileges; to discard a privilege, click the
 trash icon to the left of the row and confirm deletion in the *Delete Row*
@@ -108,5 +106,3 @@ pre-existing validator and handler functions, *dblink_fdw_validator* and
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
diff --git a/docs/en_US/foreign_server_dialog.rst b/docs/en_US/foreign_server_dialog.rst
index 076d352cd..e3f354ec6 100644
--- a/docs/en_US/foreign_server_dialog.rst
+++ b/docs/en_US/foreign_server_dialog.rst
@@ -65,9 +65,7 @@ Click *Add* before you assign a set of privileges.
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privileges to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the foreign server. This is a required
-  field.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click *Add* to assign a new set of privileges; to discard a privilege, click the
 trash icon to the left of the row and confirm deletion in the *Delete Row*
diff --git a/docs/en_US/foreign_table_dialog.rst b/docs/en_US/foreign_table_dialog.rst
index 4e126eb30..c1be5feb1 100644
--- a/docs/en_US/foreign_table_dialog.rst
+++ b/docs/en_US/foreign_table_dialog.rst
@@ -120,9 +120,7 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
   drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role that owns the foreign table from the drop-down
-  listbox in the *Grantor* field. The default grantor is the owner of the
-  database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
@@ -166,5 +164,3 @@ columns and two options.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
diff --git a/docs/en_US/function_dialog.rst b/docs/en_US/function_dialog.rst
index 8c4dfe2b7..cce5b5c57 100644
--- a/docs/en_US/function_dialog.rst
+++ b/docs/en_US/function_dialog.rst
@@ -140,8 +140,7 @@ role.
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
@@ -184,6 +183,3 @@ function have three columns (p_ename, p_sal and p_comm).
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
-
diff --git a/docs/en_US/grant_wizard.rst b/docs/en_US/grant_wizard.rst
index 7c4ecae86..66cf86abe 100644
--- a/docs/en_US/grant_wizard.rst
+++ b/docs/en_US/grant_wizard.rst
@@ -55,8 +55,7 @@ the object.
   more privileges to grant the selected privileges to the specified user. If
   privileges have previously been granted on a database object, unchecking a
   privilege for a group or user will result in revoking that privilege.
-* If enabled, select the name of the role from the drop-down listbox in the
-  *Grantor* field. The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 * Click the *Add* icon (+) to assign a set of privileges to another role; to
   discard a privilege, click the trash icon to the left of the row and confirm
   deletion in the *Delete Row* dialog.
@@ -89,4 +88,4 @@ privileges *WITH GRANT OPTION* on the *sales_meetings* and the
 * Click the *Back* button to select or deselect additional database objects,
   roles and privileges.
 * Click the *Cancel* button to exit without saving work.
-* Click the *Finish* button to save selections and exit the wizard.
\ No newline at end of file
+* Click the *Finish* button to save selections and exit the wizard.
diff --git a/docs/en_US/language_dialog.rst b/docs/en_US/language_dialog.rst
index 05694ae3b..a49855a9d 100644
--- a/docs/en_US/language_dialog.rst
+++ b/docs/en_US/language_dialog.rst
@@ -53,8 +53,7 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
@@ -96,5 +95,3 @@ The example shown demonstrates creating the procedural language named *plperl*.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
diff --git a/docs/en_US/materialized_view_dialog.rst b/docs/en_US/materialized_view_dialog.rst
index dcaba510f..d7494d946 100644
--- a/docs/en_US/materialized_view_dialog.rst
+++ b/docs/en_US/materialized_view_dialog.rst
@@ -83,8 +83,7 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor*
-  field. The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
diff --git a/docs/en_US/package_dialog.rst b/docs/en_US/package_dialog.rst
index cad9e6e3b..eb106471b 100644
--- a/docs/en_US/package_dialog.rst
+++ b/docs/en_US/package_dialog.rst
@@ -51,8 +51,7 @@ package to a role. Click the *Add* icon (+) to set privileges for the package:
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of a
   privilege to grant the selected privilege to the specified user.
-* Select the name of a role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the package.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row, and confirm the deletion
@@ -73,5 +72,3 @@ two function and two procedure.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to delete any changes to the dialog.
-
-
diff --git a/docs/en_US/procedure_dialog.rst b/docs/en_US/procedure_dialog.rst
index f4c9fe309..5f33d6e40 100644
--- a/docs/en_US/procedure_dialog.rst
+++ b/docs/en_US/procedure_dialog.rst
@@ -122,8 +122,7 @@ role:
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click *Add* to assign additional privileges; to discard a privilege, click the
 trash icon to the left of the row and confirm deletion in the *Delete Row*
@@ -166,4 +165,4 @@ with the privileges of the role that defined the procedure.
 * Click the *Info* button (i) to access online help.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
-* Click the *Reset* button to restore configuration parameters.
\ No newline at end of file
+* Click the *Reset* button to restore configuration parameters.
diff --git a/docs/en_US/schema_dialog.rst b/docs/en_US/schema_dialog.rst
index 58705db55..6ee68bdce 100644
--- a/docs/en_US/schema_dialog.rst
+++ b/docs/en_US/schema_dialog.rst
@@ -38,9 +38,7 @@ panel:
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privileges to the specified user.
-* Select the name of the role that is granting the privilege from the drop-down
-  listbox in the *Grantor* field. The default grantor is the owner of the
-  schema.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional sets of privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
@@ -75,8 +73,7 @@ privileges:
   the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privileges to the specified user.
-* Select the name of the role that is granting the privilege from the drop-down
-  listbox in the *Grantor* field. The default grantor is the owner of the schema.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *SQL* tab to continue.
 
@@ -101,6 +98,3 @@ The example creates a schema named hr; the command grants *USAGE* privileges to
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
-
diff --git a/docs/en_US/sequence_dialog.rst b/docs/en_US/sequence_dialog.rst
index 2b09298ca..f1a793e86 100644
--- a/docs/en_US/sequence_dialog.rst
+++ b/docs/en_US/sequence_dialog.rst
@@ -73,8 +73,7 @@ set privileges:
   listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor*
-  field. The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
@@ -118,9 +117,3 @@ equal of *60*.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
-
-
-
-
diff --git a/docs/en_US/table_dialog.rst b/docs/en_US/table_dialog.rst
index de0a3b77b..529b0c13d 100644
--- a/docs/en_US/table_dialog.rst
+++ b/docs/en_US/table_dialog.rst
@@ -482,8 +482,7 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
diff --git a/docs/en_US/tablespace_dialog.rst b/docs/en_US/tablespace_dialog.rst
index 650fe557a..0318f87a5 100644
--- a/docs/en_US/tablespace_dialog.rst
+++ b/docs/en_US/tablespace_dialog.rst
@@ -62,8 +62,7 @@ Use the *Privileges* panel to assign security privileges. Click the *Add* icon
 (+) to assign a set of privileges:
 
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
-* Select the name of the role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the owner of the tablespace.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privileges to the specified user.
 
@@ -107,6 +106,3 @@ The example shown demonstrates creating a tablespace named *space_01*. It has a
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
-
diff --git a/docs/en_US/trigger_function_dialog.rst b/docs/en_US/trigger_function_dialog.rst
index 510dc6d2f..4076e6ec3 100644
--- a/docs/en_US/trigger_function_dialog.rst
+++ b/docs/en_US/trigger_function_dialog.rst
@@ -128,8 +128,7 @@ to a role. Click the *Add* icon (+) to to add a role to the table.
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of a role from the drop-down listbox in the *Grantor* field.
-  The default grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
@@ -171,5 +170,3 @@ The example shown demonstrates creating a trigger function named *emp_stamp*.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
diff --git a/docs/en_US/type_dialog.rst b/docs/en_US/type_dialog.rst
index 92861edba..935dc71dc 100644
--- a/docs/en_US/type_dialog.rst
+++ b/docs/en_US/type_dialog.rst
@@ -187,9 +187,7 @@ icon (+) to grant privileges:
   the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of the role that is granting privileges from the drop-down
-  listbox in the *Grantor* field. The default grantor is the owner of the
-  database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
@@ -232,6 +230,3 @@ type is an enumerated type with three labels: new, open and closed.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
-
diff --git a/docs/en_US/view_dialog.rst b/docs/en_US/view_dialog.rst
index d2f5790d3..41549e42c 100644
--- a/docs/en_US/view_dialog.rst
+++ b/docs/en_US/view_dialog.rst
@@ -72,9 +72,7 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
   listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
   more privileges to grant the selected privilege to the specified user.
-* Select the name of a role with sufficient privileges to grant privileges on
-  the view from the drop-down listbox in the *Grantor* field. The default
-  grantor is the owner of the database.
+* The current user, who is the default grantor for granting the privilege, is displayed in the *Grantor* field.
 
 Click the *Add* icon (+) to assign additional privileges; to discard a
 privilege, click the trash icon to the left of the row and confirm deletion in
@@ -116,6 +114,3 @@ The example shown demonstrates creating a view named *distributor_code*.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
-
-
-
